alguien con intel 945 integrada + batocera v26+ ¿?

Foro dedicado a PCs modernos. Desde Pentium 4 en adelante
Avatar de Usuario
GXY
Amiga 1200
Amiga 1200
Mensajes: 1152
Registrado: 05 Oct 2013, 08:21
Sistema Favorito: Commodore Amiga
primer_sistema: Spectrum +2
consola_favorita: Sony PlayStation 1
Primera consola: Sony PlayStation 1
Gracias dadas: 24 veces
Gracias recibidas: 54 veces

alguien con intel 945 integrada + batocera v26+ ¿?

Mensajepor GXY » 01 May 2021, 00:24

Tengo un equipo con grafica intel GMA 950 integrada (la tipica de la epoca de la generacion 2007-2009 de atoms y centrinos)

resulta que con batocera v25 funciona ok, pero con v26 y posteriores, se clava durante el arranque.

he estado leyendo en varios foros (p.ej este hilo) y como en la v30 que ha salido hace poquito sigue haciendo lo mismo, entiendo que "no es un error sino una caracteristica". :roll:

creo que probe en alguna ocasion lo de hacer ctrl+alt+F3 durante el arranque y obtuve el error "addscreen / screeninit failed for driver 0”

en el hilo describen una solucion (mas bien un workaround / chapucilla)

i found a workaround, but it will run LAG on i9xx machines:

after you flashed batocera img to an usb or hdd, on linux or windows go to “BATOCERA” partition, there will be a folder named boot, in there will be a file named batocera-boot.conf or something like that, there will be a line that says (idk if i wrote it the same way, because i’m using 5.25 rn and it does not have that line in it):

#force usage of intel-i965 driver:
#force-intel-i965-driver=false


you want to remove the ‘#’ in ‘force-intel-i965’ and type in ‘true’, after that restart, you will boot onto batocera but it will be doing sw rendering through llvmpipe…

hope devs reimplement the i915 driver..


y me parece a mi que i915 driver los cojones... si es por el tema de la version de openGL (que tiene toda la pinta) lo veo jodiduski

parece que los dev, lo del retro en las maquinas retro como que does not compute... :-ss

pd. el problema ocurre igual tanto con la version de 64bit como con la de 32 (x86) lo cual tiene menos sentido todavia, cuando se supone que la version x86 es para "utilizar en equipos antiguos anteriores a 2010".

y si, la pregunta es si hay alguna posibilidad de utilizar v26 o posteriores con esta grafica o si no hay otra solucion que quedarse con la v25 (que va bien, pero los emuladores de algunos sistemas estan bastante desactualizados).
RetroPescando... :mrgreen:

Volver a “PC Moderno”

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 1 invitado